| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC746A.ino File Reference
Analog-to-Digital Converters (ADC) » LTC2412: 2-Channel Differential Input 24-Bit No Latency Delta Sigma ADC

Linear Technology DC571A Demonstration Board. More...

## Detailed Description

Linear Technology DC571A Demonstration Board.

LTC2412: 2-Channel Differential Input 24-Bit No Latency Delta Sigma ADC

Linear Technology DC346A Demonstration Board. LTC2413: 24-Bit No Latency Delta Sigma ADC with Simultaneous 50Hz/60Hz Rejection ADC

    NOTES
      Setup:
        Set the terminal baud rate to 115200 and select the newline terminator.
        Equipment required is a precision voltage source and a precision
        voltmeter. No external power supply is required. Ensure all jumpers on
        the demo board are installed in their default positions from the
        factory.

      How to test Single-Ended mode:
        The voltage source should be connected to the ADC such that the negative
        lead is connected to ground. The positive lead may be connected to any
        channel input. Ensure voltage is within analog input voltage range -0.3V to
        +2.5V.

      How to test Differential Mode:
        The voltage source should be connected with positive and negative leads to
        paired channels. The voltage source negative output must also be connected to
        the COM pin in order to provide a ground-referenced voltage. Ensure voltage is
        within analog input voltage range -0.3V to +2.5V. Swapping input voltages
        results in a reversed polarity reading.

      How to calibrate:
        Apply 100mV to CH0 with respect to COM pin. Next, Measure this voltage with a
        precise voltmeter and enter this value. (This takes the reading.) Apply a higher
        voltage than the first voltage or approximately 2.40 volts to CH0. Anything
        above 2.40 is not reccomened. It is very likely to reach the ADC's full-scale
        and poduce invalide lsb and offset. Measure this voltage with a precise
        voltmeter and enter this value. Calibration is now stored in EEPROM. Upon
        startup the calibration values will be restored.

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.linear.com/product/LTC2412 http://www.linear.com/product/LTC2413

http://www.linear.com/product/LTC2412#demoboards http://www.linear.com/product/LTC2413#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC746A.ino.

Go to the source code of this file.

## Functions
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static int8_t | menu_1_read_single_ended ()
| Repeats Linduino loop. More...
static void | menu_2_change_ref_voltage ()
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...

## Variables
static uint8_t | demo_board_connected
| Set to 1 if the board is connected. More...
static float | LTC2412_lsb = 2.98023241E-7
| Ideal LSB voltage for a perfect part. More...
static int32_t | LTC2412_offset_code = 0
| Ideal offset for a perfect part. More...
static float | reference_voltage = 5.0
const uint16_t | MISO_TIMEOUT = 1000
| The MISO timeout (ms) More...

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 139 of file DC746A.ino.

## ◆ menu_1_read_single_ended()

static int8_t menu_1_read_single_ended | ( |  | ) |
| static

Repeats Linduino loop.

Definition at line 170 of file DC746A.ino.

## ◆ menu_2_change_ref_voltage()

static void menu_2_change_ref_voltage | ( |  | ) |
| static

Definition at line 207 of file DC746A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 237 of file DC746A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 223 of file DC746A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 123 of file DC746A.ino.

## Variable Documentation

## ◆ demo_board_connected

uint8_t demo_board_connected
| static

Set to 1 if the board is connected.

Definition at line 113 of file DC746A.ino.

## ◆ LTC2412_lsb

float LTC2412_lsb = 2.98023241E-7
| static

Ideal LSB voltage for a perfect part.

Definition at line 114 of file DC746A.ino.

## ◆ LTC2412_offset_code

int32_t LTC2412_offset_code = 0
| static

Ideal offset for a perfect part.

Definition at line 115 of file DC746A.ino.

## ◆ MISO_TIMEOUT

const uint16_t MISO_TIMEOUT = 1000

The MISO timeout (ms)

Definition at line 120 of file DC746A.ino.

## ◆ reference_voltage

float reference_voltage = 5.0
| static

Definition at line 116 of file DC746A.ino.